Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.model.impl
Class Empty.EmptyModel

    java.lang.Object
      com.tonbeller.jpivot.core.ModelSupport
          com.tonbeller.jpivot.olap.model.impl.Empty.EmptyModel

All Implemented Interfaces:
  Model, OlapModel, com.tonbeller.wcf.bookmarks.Bookmarkable

Enclosing class:
  Empty

    public static class Empty.EmptyModel

extends ModelSupport
implements OlapModel

Nested Class Summary

Nested classes/interfaces inherited from interface com.tonbeller.jpivot.olap.model.OlapModel
`OlapModel.EmptyCubeException, OlapModel.ResultTooLargeException`

Field Summary

Fields inherited from interface com.tonbeller.wcf.bookmarks.Bookmarkable
`EXTENSIONAL, INTENSIONAL`

Constructor Summary
`Empty.EmptyModel()`

Method Summary
`void` | `destroy()` clears all references to extensioins (to avoid memory leaks)
`Dimension[]` | `getDimensions()`
`java.lang.String` | `getID()`
`Member[]` | `getMeasures()`
`Result` | `getResult()` runs the query and returns the result
`void` | `initialize()` called once after creation.
`void` | `setID(java.lang.String ID)` sets an ID string for this model
`void` | `setServletContext(javax.servlet.ServletContext servletContext)` store a servlet context to the model

Methods inherited from class com.tonbeller.jpivot.core.ModelSupport
`addExtension, addModelChangeListener, fireModelChanged, fireModelChanged, fireStructureChanged, fireStructureChanged, getBookmarkState, getExtension, getExtensions, getLocale, getRootModel, getTopDecorator, removeModelChangeListener, setBookmarkState, setLocale`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.tonbeller.jpivot.core.Model
`addExtension, addModelChangeListener, getExtension, getExtensions, getRootModel, getTopDecorator, removeModelChangeListener, setLocale`

Methods inherited from interface com.tonbeller.wcf.bookmarks.Bookmarkable
`getBookmarkState, setBookmarkState`

Constructor Detail

### Empty.EmptyModel

    public Empty.EmptyModel()

Method Detail

### getID

    public java.lang.String getID()

  Specified by:
    `getID` in interface `OlapModel`
  Returns:
    an ID string for this model

### setID

    public void setID(java.lang.String ID)

  Description copied from interface: `OlapModel`
  sets an ID string for this model

  Specified by:
    `setID` in interface `OlapModel`

### getResult

    public Result getResult()
                     throws OlapException

  Description copied from interface: `OlapModel`
  runs the query and returns the result

  Specified by:
    `getResult` in interface `OlapModel`
  Throws:
    `OlapException`

### getDimensions

    public Dimension[] getDimensions()

  Specified by:
    `getDimensions` in interface `OlapModel`
  Returns:
    all dimensions of the cube for navigation

### getMeasures

    public Member[] getMeasures()

  Specified by:
    `getMeasures` in interface `OlapModel`
  Returns:
    all measures of the cube for navigation

### initialize

    public void initialize()

  Description copied from interface: `OlapModel`
  called once after creation. E.g. open DB connection

  Specified by:
    `initialize` in interface `OlapModel`

### destroy

    public void destroy()

  Description copied from class: `ModelSupport`
  clears all references to extensioins (to avoid memory leaks)

  Specified by:
    `destroy` in interface `OlapModel`
  Overrides:
    `destroy` in class `ModelSupport`

### setServletContext

    public void setServletContext(javax.servlet.ServletContext servletContext)

  Description copied from interface: `OlapModel`
  store a servlet context to the model

  Specified by:
    `setServletContext` in interface `OlapModel`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD